PortAudio 2.0

Data Fields
PaWasapiStreamInfo Struct Reference

## Data Fields
unsigned long | size
PaHostApiTypeId | hostApiType
unsigned long | version
unsigned long | flags
PaWinWaveFormatChannelMask | channelMask
PaWasapiHostProcessorCallback | hostProcessorOutput
PaWasapiHostProcessorCallback | hostProcessorInput
PaWasapiThreadPriority | threadPriority
PaWasapiStreamCategory | streamCategory
PaWasapiStreamOption | streamOption

## Detailed Description

Definition at line 308 of file pa_win_wasapi.h.

## Field Documentation

## ◆ channelMask

PaWinWaveFormatChannelMask PaWasapiStreamInfo::channelMask

Support for WAVEFORMATEXTENSIBLE channel masks. If flags contains paWinWasapiUseChannelMask this allows you to specify which speakers to address in a multichannel stream. Constants for channelMask are specified in pa_win_waveformat.h. Will be used only if paWinWasapiUseChannelMask flag is specified.

Definition at line 322 of file pa_win_wasapi.h.

## ◆ flags

unsigned long PaWasapiStreamInfo::flags

collection of PaWasapiFlags

Definition at line 314 of file pa_win_wasapi.h.

## ◆ hostApiType

PaHostApiTypeId PaWasapiStreamInfo::hostApiType

paWASAPI

Definition at line 311 of file pa_win_wasapi.h.

## ◆ hostProcessorInput

PaWasapiHostProcessorCallback PaWasapiStreamInfo::hostProcessorInput

Definition at line 330 of file pa_win_wasapi.h.

## ◆ hostProcessorOutput

PaWasapiHostProcessorCallback PaWasapiStreamInfo::hostProcessorOutput

Delivers raw data to callback obtained from GetBuffer() methods skipping internal PortAudio processing inventory completely. userData parameter will be the same that was passed to Pa_OpenStream method. Will be used only if paWinWasapiRedirectHostProcessor flag is specified.

Definition at line 329 of file pa_win_wasapi.h.

## ◆ size

unsigned long PaWasapiStreamInfo::size

sizeof(PaWasapiStreamInfo)

Definition at line 310 of file pa_win_wasapi.h.

## ◆ streamCategory

PaWasapiStreamCategory PaWasapiStreamInfo::streamCategory

Stream category.

See also
  PaWasapiStreamCategory

Version
  Available as of 19.6.0

Definition at line 345 of file pa_win_wasapi.h.

## ◆ streamOption

PaWasapiStreamOption PaWasapiStreamInfo::streamOption

Stream option.

See also
  PaWasapiStreamOption

Version
  Available as of 19.6.0

Definition at line 351 of file pa_win_wasapi.h.

## ◆ threadPriority

PaWasapiThreadPriority PaWasapiStreamInfo::threadPriority

Specifies thread priority explicitly. Will be used only if paWinWasapiThreadPriority flag is specified.

Please note, if Input/Output streams are opened simultaneously (Full-Duplex mode) you shall specify same value for threadPriority or othervise one of the values will be used to setup thread priority.

Definition at line 339 of file pa_win_wasapi.h.

## ◆ version

unsigned long PaWasapiStreamInfo::version

1

Definition at line 312 of file pa_win_wasapi.h.

The documentation for this struct was generated from the following file:

- pa_win_wasapi.h